export default {
  profile: "Profile",
  login: "Sign In",
  logout: "Sign Out",
  home: "Main Page",
  administration: "Administration",

  addUser: "Add/Update User",
  lastname: "Last Name",
  firstname: "First Name",
  username: "Username",
  usernamePlaceholder: "maxmu",
  email: "E-Mail",
  AUTHOR: "Author",
  LAYOUT: "Layout",
  LECTOR: "Lector",
  addUserDescription: "Add or update a user by their username",
  errUsername: "Username cannot be empty",

  noNextIssues: "No future Issues",
  noNextIssuesText:
    "There are currently no further issues on Revisions. If you think that this is an error, please contact the editorial office.",
  serverError: "The server responded with an error:",

  addIssue: "Add Issue",
  addIssueDescription: "Add a blitz Issue to Revisions",
  issueTitle: "Title",
  issueTitlePlaceholder: "Potzblitz!",
  issueSemester: "Semester",
  issueSemesterPlaceholder: "FS31",
  issueNumber: "Number",
  issueNumberPlaceholder: "07",
  issuePublicationDate: "Publication Date",
  issueDeadline: "Submission Deadline",
  errTitle: "This is not a valid issue title",
  errSemester: "This is not a valid format for a semester",
  errNumber: "This is not a valid issue number",
  errPublicationDate: "Publication date cannot be empty",
  errDeadline: "Deadline cannot be empty",

  nextIssue: "Next Issue",
  releaseDate: "Release Date",
  articleDeadline: "Article Deadline",
  view: "View",
  permissions: "Permissions",
  role: "Role",
  status: "Status",
  description: "Description",
  admin: "Administrator",
  adminDescription:
    'Administrators have the permissions to add new blitz issues and edit all articles. They can also set permissions for everybody. Administrators are all users in the AMIV group "Blitz Vorstand".',
  member: "Editorial Staff",
  memberDescription:
    'Editorial Staff has the permission to view an issue. Editorial staff are all users in the AMIV group "Blitz Sitzungen".',

  /* /issues/[id] */
  addArticle: "Write an Article",
  noTitle: "There's no title yet",
  noAuthor: "There's no author yet",
  by: "by",

  /* /issues/[id]/article/[articleId] */
  edit: "Edit",
  lectorate: "Proofread",
  figure: "Figure",
  createdBy: "Created by",
  lastEdited: "Last edited on",
  category: "Category",
  BLITZ: "blitz",
  AMIV: "AMIV",
  TOPIC: "Topic",
  STUDIES: "Studies",
  SPONSORED: "Sponsored",

  /* /issues/[id]/edit/[articleId] */
  titlePlaceholder: "Enter a title for your article",
  subtitlePlaceholder: "Subtitle (optional)",
  authorPlaceholder: "Your Name",
  emailPlaceholder: "Your E-Mail Address (optional)",
  loading: "Saving...",
  loadingArticle: "Loading Article...",
  savedAgo: "Saved {diff}",
  save: "Save",
  abstract: "Abstract",
  article: "Article",
  hideDiff: "Hide Diff",
  showDiff: "Show Diff",
  restore: "Restore",
  issue: "Issue",
  viewRendered: "Rendered Version",

  COMPOSITION: "Composition",
  LECTORATE: "Lectorate",
  FINISHED: "Finished",
} as const;
